package bou.amine.apps.readerforselfossv2.android

import androidx.test.espresso.Espresso.onView
import androidx.test.espresso.action.ViewActions.click
import androidx.test.espresso.action.ViewActions.typeTextIntoFocusedView
import androidx.test.espresso.assertion.ViewAssertions.matches
import androidx.test.espresso.matcher.ViewMatchers.isDisplayed
import androidx.test.espresso.matcher.ViewMatchers.withId
import androidx.test.espresso.matcher.ViewMatchers.withText

fun performLogin(url: String) {
    onView(withId(R.id.urlView)).perform(click()).perform(
        typeTextIntoFocusedView(url)
    )
    onView(withId(R.id.signInButton)).perform(click())
}

fun loginAndInitHome() {
    performLogin("http://172.17.0.1:8888")
    Thread.sleep(30000)
    onView(withText(R.string.gdpr_dialog_title)).check(matches(isDisplayed()))
    onView(withText("OK")).perform(click())
}